package com.example.austime;

import android.app.DatePickerDialog;
import android.app.DialogFragment;
import android.app.TimePickerDialog;
import android.content.Intent;
import android.database.Cursor;
import android.database.SQLException;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.DatePicker;
import android.widget.EditText;
import android.widget.TimePicker;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Locale;

public class FormActivity extends AppCompatActivity {

    private static final String TAG ="getsave" ;
    final Calendar myCalendar = Calendar.getInstance();

    EditText ETtask, ETdateDebut, ETHour, ETHourEnd, ETtimes;
    Button ETtime;
    DatabaseHandler myDbHelper;

    ListTimerActivity listTimer;
    DatePickerDialog.OnDateSetListener date = new DatePickerDialog.OnDateSetListener() {
        @Override
        public void onDateSet(DatePicker view, int year, int month, int dayOfMonth) {
            myCalendar.set(Calendar.YEAR, year);
            myCalendar.set(Calendar.MONTH, month);
            myCalendar.set(Calendar.DAY_OF_MONTH, dayOfMonth);
            updateLabel();
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_form);
        listTimer = new ListTimerActivity();

        ETtask      = (EditText) findViewById(R.id.ETtask);
        ETdateDebut = (EditText) findViewById(R.id.ETdateDebut);
        ETHour      = (EditText) findViewById(R.id.ETHour);
        ETHourEnd   = (EditText) findViewById(R.id.ETHourEnd);
        ETtime      = (Button) findViewById(R.id.ETtime);
        ETtimes     = (EditText) findViewById(R.id.ETtimes);

        myDbHelper = new DatabaseHandler(this);

    }

    public void ShowCalendar(View view) {
        new DatePickerDialog(this, date, myCalendar
                .get(Calendar.YEAR), myCalendar.get(Calendar.MONTH),
                myCalendar.get(Calendar.DAY_OF_MONTH)).show();
    }

    private void updateLabel() {
        String myFormat = "MM/dd/yy"; //In which you need put here
        SimpleDateFormat sdf = new SimpleDateFormat(myFormat, Locale.FRANCE);

        ETdateDebut.setText(sdf.format(myCalendar.getTime()));
    }

    public void getHour(View view) {

        int hour = myCalendar.get(Calendar.HOUR_OF_DAY);
        int minute = myCalendar.get(Calendar.MINUTE);
        TimePickerDialog timePickerDialog = new TimePickerDialog(FormActivity.this,
                new TimePickerDialog.OnTimeSetListener() {
                    @Override
                    public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
                        ETHour.setText(hourOfDay + ":" + minute);
                    }
                }, hour, minute, false);
        timePickerDialog.show();
    }

    public void getHourEnd(View view) {

        int hour = myCalendar.get(Calendar.HOUR_OF_DAY);
        int minute = myCalendar.get(Calendar.MINUTE);
        TimePickerDialog timePickerDialog = new TimePickerDialog(FormActivity.this,
                new TimePickerDialog.OnTimeSetListener() {
                    @Override
                    public void onTimeSet(TimePicker view, int hourOfDay, int minute) {
                        ETHourEnd.setText(hourOfDay + ":" + minute);
                    }
                }, hour, minute, false);
        timePickerDialog.show();
    }

    public void getTime(View view) {
        ETtime.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // Initialize a new time picker dialog fragment
                DialogFragment dFragment = new TimePickerFragment();
                // Show the time picker dialog fragment
                dFragment.show(getFragmentManager(),"Time Picker");
            }
        });
    }

    public void getCancel(View view){
        ETtask.getText().clear();
        ETdateDebut.getText().clear();
        ETHour.getText().clear();
        ETHourEnd.getText().clear();
        ETtimes.getText().clear();
        //retourner sur page d'accueil.
    }

    public void getSave(View view) {
        myDbHelper.insertData(ETtask.getText().toString(), ETdateDebut.getText().toString(), ETHour.getText().toString(), ETHourEnd.getText().toString(), ETtimes.getText().toString());
        Cursor cursor = myDbHelper.viewdata();
        if (cursor.getCount() == 0){
        } else {
            while (cursor.moveToNext()) {
                Log.i(TAG, "getSave: "+cursor.getString(1));
                Log.i(TAG, "getSave: "+cursor.getString(2));
                Log.i(TAG, "getSave: "+cursor.getString(3));
                Log.i(TAG, "getSave: "+cursor.getString(4));
                Log.i(TAG, "getSave: "+cursor.getString(5));
            }
        }
    }

    public void onBack(View view) {
        Intent i = new Intent(this, ListTimerActivity.class);
        startActivity(i);

    }
}
